curl -X POST https://api.portkey.ai/v1/secret-references \
-H "x-portkey-api-key: PORTKEY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "my-aws-secret",
"manager_type": "aws_sm",
"auth_config": {
"aws_auth_type": "accessKey",
"aws_access_key_id": "AKIA...",
"aws_secret_access_key": "wJal...",
"aws_region": "us-east-1"
},
"secret_path": "prod/api-keys/openai"
}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>"
}Create Secret Reference
POST
/
secret-references
curl -X POST https://api.portkey.ai/v1/secret-references \
-H "x-portkey-api-key: PORTKEY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "my-aws-secret",
"manager_type": "aws_sm",
"auth_config": {
"aws_auth_type": "accessKey",
"aws_access_key_id": "AKIA...",
"aws_secret_access_key": "wJal...",
"aws_region": "us-east-1"
},
"secret_path": "prod/api-keys/openai"
}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Body
application/json
Required string length:
1 - 255Available options:
aws_sm, azure_kv, hashicorp_vault - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Maximum string length:
1024Required if not using API key auth
Auto-generated from name if omitted
Maximum string length:
255Pattern:
^[a-zA-Z0-9_-]+$Maximum string length:
1024Maximum string length:
255Cannot be true when allowed_workspaces is provided
Array of workspace UUIDs or slugs. Mutually exclusive with allow_all_workspaces=true.
Minimum array length:
1Show child attributes
Show child attributes
Last modified on May 21, 2026
Was this page helpful?
⌘I

